MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031731Open CASCADE[OCCT] OCCT:DRAWpublic2020-08-24 19:062020-09-05 12:40
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031731: Draw Harness - colorize errors and exception messages
DescriptionIt would be nice printing unhandled exceptions and error messages in red.
Steps To Reproduce
pload VISUALIZATION XDE
XGetColor
XAddShape
# error put into theDI

pload MODELING
box b 0 0 0
# Standard_DomainError exception
TagsNo tags attached.
Test case numberNot required
Attached Filespng file icon draw_exception_red.png (11,355 bytes) 2020-08-24 19:12

- Relationships
parent of 0031743verifiedbugmaster Draw Harness - fix misprint in Draw_Interpretor::SetToColorize() 
child of 0031188verifiedbugmaster Draw Harness - enable colorized messages output to console by default 

-  Notes
(0093615)
git (administrator)
2020-08-24 19:10

Branch CR31731 has been created by kgv.

SHA-1: c855c6262a73f601a1fa8ae26629c30e26a47d58


Detailed log of new commits:

Author: kgv
Date: Mon Aug 24 19:13:08 2020 +0300

    0031731: Draw Harness - colorize errors and exception messages
    
    Draw_Interpretor, CommandCmd() - catched exceptions and messages put into Tcl string result
    before throwing a Tcl exception (return 1) are now print in intense red (using Message::SendFail()).
    Duplication of exception message in std::cout and Tcl output has been removed.
    
    Draw Harness plugins have been updated to use either Message::SendFail() or theDI instead of std::cout/std::cerr
    for printing colored error message before throwing a Tcl exception.
(0093616)
git (administrator)
2020-08-24 19:56

Branch CR31731 has been updated forcibly by kgv.

SHA-1: b18293cec3a3646ca906d61a0970c30319d2bd63
(0093618)
git (administrator)
2020-08-24 22:10

Branch CR31731_1 has been created by kgv.

SHA-1: c07975076a22f7769a855451014b86df23443565


Detailed log of new commits:

Author: kgv
Date: Mon Aug 24 19:13:08 2020 +0300

    0031731: Draw Harness - colorize errors and exception messages
    
    Draw_Interpretor, CommandCmd() - catched exceptions and messages put into Tcl string result
    before throwing a Tcl exception (return 1) are now print in intense red (using Message::SendFail()).
    Duplication of exception message in std::cout and Tcl output has been removed.
    
    Draw Harness plugins have been updated to use either Message::SendFail() or theDI instead of std::cout/std::cerr
    for printing colored error message before throwing a Tcl exception.
(0093620)
git (administrator)
2020-08-25 07:09

Branch CR31731_1 has been updated forcibly by kgv.

SHA-1: e59eb1a9ffa83eca7e4ad7a3f348161154353fee
(0093621)
git (administrator)
2020-08-25 07:21

Branch CR31731_1 has been updated forcibly by kgv.

SHA-1: e1edd844e8c1d760af0b2e453935efc39af7ad57
(0093623)
git (administrator)
2020-08-25 07:26

Branch CR31731_1 has been updated forcibly by kgv.

SHA-1: b618fecb953e4213608edfcaf7851015ac1ed2cf
(0093624)
git (administrator)
2020-08-25 09:41

Branch CR31731_1 has been updated forcibly by kgv.

SHA-1: d99f0355e314ddb9a096158fffd995265f90ea81
(0093625)
kgv (developer)
2020-08-25 10:14

Patch is ready for review:
- OCCT branch CR31731_1
- OCC Products branch CR31731_1

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31731_1-CR31731_1-KGV [^]
(0093628)
abv (manager)
2020-08-25 12:52

No remarks, please integrate
(0093727)
bugmaster (administrator)
2020-08-30 11:00

Combination -
OCCT branch : IR-2020-08-28
master SHA - 68a23293059aefbc5feeb43dbbe92e728944f170
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-08-28 SHA - 231cf318a348ade96332c8dca2b8aa3ffa18d6cf
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17249.00000000021 / 17322.48000000014 [-0.42%]
Products
Total CPU difference: 12007.590000000067 / 11882.730000000085 [+1.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 18729.984375 / 18716.078125 [+0.07%]
Products
Total CPU difference: 13222.90625 / 13242.09375 [-0.14%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0094104)
git (administrator)
2020-09-05 12:36

Branch CR31731_1 has been deleted by inv.

SHA-1: d99f0355e314ddb9a096158fffd995265f90ea81
(0094105)
git (administrator)
2020-09-05 12:36

Branch CR31731 has been deleted by inv.

SHA-1: b18293cec3a3646ca906d61a0970c30319d2bd63

- Related Changesets
occt: master d99f0355
Timestamp: 2020-08-24 16:13:08
Author: kgv
Details ] Diff ]
0031731: Draw Harness - colorize errors and exception messages

Draw_Interpretor, CommandCmd() - catched exceptions and messages put into Tcl string result
before throwing a Tcl exception (return 1) are now print in intense red (using Message::SendFail()).
Duplication of exception message in std::cout and Tcl output has been removed.

Draw Harness plugins have been updated to use either Message::SendFail() or theDI instead of std::cout/std::cerr
for printing colored error message before throwing a Tcl exception.
mod - src/BRepTest/BRepTest_BasicCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_ExtremaCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_FeatureCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_FilletCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_OtherCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_PrimitiveCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_SurfaceCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_SweepCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_TopologyCommands.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_BasicCommands.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_DrawDisplayCommands.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_NameCommands.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_TreeCommands.cxx Diff ] File ]
mod - src/DDF/DDF_BrowserCommands.cxx Diff ] File ]
mod - src/DDocStd/DDocStd_ApplicationCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming_BasicCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming_ModelingCommands.cxx Diff ] File ]
mod - src/Draw/Draw.cxx Diff ] File ]
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]
mod - src/Draw/Draw_GraphicCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Interpretor.cxx Diff ] File ]
mod - src/Draw/Draw_Interpretor.hxx Diff ] File ]
mod - src/Draw/Draw_PloadCommands.cxx Diff ] File ]
mod - src/Draw/Draw_VariableCommands.cxx Diff ] File ]
mod - src/DrawResources/TestCommands.tcl Diff ] File ]
mod - src/GeometryTest/GeometryTest_APICommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_ContinuityCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_CurveCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_CurveTanCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_API2dCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_ModificationCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_SurfaceCommands.cxx Diff ] File ]
mod - src/MeshTest/MeshTest.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeFix.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeUpgrade.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Colors.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Common.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Shapes.cxx Diff ] File ]
mod - src/XSDRAWSTEP/XSDRAWSTEP.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]
mod - tests/blend/complex/F9 Diff ] File ]
mod - tests/blend/complex/G6 Diff ] File ]
mod - tests/bugs/caf/bug669 Diff ] File ]
mod - tests/bugs/fclasses/bug23497 Diff ] File ]
mod - tests/bugs/filling/bug22783 Diff ] File ]
mod - tests/bugs/filling/bug22786 Diff ] File ]
mod - tests/bugs/filling/bug23343 Diff ] File ]
mod - tests/bugs/modalg_2/bug293 Diff ] File ]
mod - tests/bugs/modalg_2/bug426 Diff ] File ]
mod - tests/bugs/modalg_4/bug8842_11 Diff ] File ]
mod - tests/bugs/modalg_4/bug8842_12 Diff ] File ]
mod - tests/bugs/modalg_4/bug8842_2 Diff ] File ]
mod - tests/bugs/modalg_4/bug8842_3 Diff ] File ]
mod - tests/bugs/modalg_4/bug8842_4 Diff ] File ]
mod - tests/bugs/modalg_5/bug23870_1 Diff ] File ]
mod - tests/bugs/modalg_5/bug23870_2 Diff ] File ]
mod - tests/bugs/modalg_5/bug23870_4 Diff ] File ]
mod - tests/bugs/modalg_7/bug25939 Diff ] File ]
mod - tests/bugs/modalg_7/bug26295 Diff ] File ]
mod - tests/bugs/modalg_7/bug26558 Diff ] File ]
mod - tests/bugs/modalg_7/bug30787 Diff ] File ]
mod - tests/bugs/moddata_1/bug103 Diff ] File ]
mod - tests/bugs/moddata_2/bug22910_1 Diff ] File ]
mod - tests/bugs/moddata_2/bug2569_2 Diff ] File ]
mod - tests/bugs/vis/bug346 Diff ] File ]
mod - tests/offset/faces_type_i/D7 Diff ] File ]
mod - tests/offset/faces_type_i/E7 Diff ] File ]
mod - tests/offset/faces_type_i/E8 Diff ] File ]
mod - tests/offset/faces_type_i/E9 Diff ] File ]
mod - tests/offset/faces_type_i/F2 Diff ] File ]
mod - tests/offset/faces_type_i/F3 Diff ] File ]
mod - tests/offset/faces_type_i/F4 Diff ] File ]
mod - tests/offset/faces_type_i/F5 Diff ] File ]
mod - tests/offset/faces_type_i/G5 Diff ] File ]
mod - tests/offset/faces_type_i/L1 Diff ] File ]
mod - tests/offset/faces_type_i/L2 Diff ] File ]
mod - tests/offset/faces_type_i/L3 Diff ] File ]
mod - tests/offset/faces_type_i/L4 Diff ] File ]
mod - tests/offset/faces_type_i/L5 Diff ] File ]
mod - tests/offset/faces_type_i/L6 Diff ] File ]
mod - tests/offset/faces_type_i/L7 Diff ] File ]
mod - tests/offset/faces_type_i/L8 Diff ] File ]
mod - tests/offset/faces_type_i/L9 Diff ] File ]
mod - tests/offset/faces_type_i/M1 Diff ] File ]
mod - tests/offset/faces_type_i/M3 Diff ] File ]
mod - tests/offset/faces_type_i/N1 Diff ] File ]
mod - tests/offset/faces_type_i/N2 Diff ] File ]
mod - tests/offset/shape_type_i/C5 Diff ] File ]
mod - tests/offset/shape_type_i/D6 Diff ] File ]
mod - tests/offset/shape_type_i/D7 Diff ] File ]
mod - tests/offset/shape_type_i/G2 Diff ] File ]
mod - tests/offset/shape_type_i/G3 Diff ] File ]
mod - tests/offset/shape_type_i/G4 Diff ] File ]
mod - tests/pipe/bugs/bug24909_1 Diff ] File ]
mod - tests/pipe/bugs/bug24909_2 Diff ] File ]
mod - tests/pipe/bugs/bug25110 Diff ] File ]
mod - tests/pipe/bugs/bug26088 Diff ] File ]
mod - tests/thrusection/bugs/bug24997 Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-08-24 19:06 kgv New Issue
2020-08-24 19:06 kgv Assigned To => abv
2020-08-24 19:10 git Note Added: 0093615
2020-08-24 19:12 kgv File Added: draw_exception_red.png
2020-08-24 19:56 git Note Added: 0093616
2020-08-24 20:00 kgv Steps to Reproduce Updated View Revisions
2020-08-24 22:10 git Note Added: 0093618
2020-08-25 07:09 git Note Added: 0093620
2020-08-25 07:21 git Note Added: 0093621
2020-08-25 07:26 git Note Added: 0093623
2020-08-25 09:41 git Note Added: 0093624
2020-08-25 09:59 kgv Relationship added child of 0031188
2020-08-25 10:14 kgv Note Added: 0093625
2020-08-25 10:14 kgv Status new => resolved
2020-08-25 12:52 abv Note Added: 0093628
2020-08-25 12:52 abv Assigned To abv => bugmaster
2020-08-25 12:52 abv Status resolved => reviewed
2020-08-30 11:00 bugmaster Note Added: 0093727
2020-08-30 11:00 bugmaster Status reviewed => tested
2020-08-30 11:10 bugmaster Test case number => Not required
2020-08-30 11:33 kgv Changeset attached => occt master d99f0355
2020-08-30 11:33 kgv Assigned To bugmaster => kgv
2020-08-30 11:33 kgv Status tested => verified
2020-08-30 11:33 kgv Resolution open => fixed
2020-08-31 10:57 kgv Relationship added parent of 0031743
2020-09-05 12:36 git Note Added: 0094104
2020-09-05 12:36 git Note Added: 0094105


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker